Delete an artifact
curl --request DELETE \
--url https://api.hq.zone/v1/api/artifacts/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hq.zone/v1/api/artifacts/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hq.zone/v1/api/artifacts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"deleted": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Conversations
Delete an artifact
Permanently deletes a delivered artifact and its stored bytes. Authorized like the artifact listing: the caller must participate in the artifact’s conversation, or, once detached, be the artifact’s original producer (otherwise 403). Deleting an attached artifact also removes it from the conversation transcript. Returns the artifact id and a deleted flag; returns 404 if the artifact is not found in the caller’s workspace.
DELETE
/
v1
/
api
/
artifacts
/
{id}
Delete an artifact
